zenilib: zenilib/jni/external/libvorbis/lib/codec_internal.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
codec_internal.h File Reference
`#include "envelope.h"`
`#include "codebook.h"`
`#include "psy.h"`
`#include "bitrate.h"`
`#include "highlevel.h"`

Go to the source code of this file.

## Classes

struct | codec_setup_info
struct | private_state
struct | vorbis_block_internal
struct | vorbis_info_mode
struct | vorbis_look_floor1

## Macros

#define | BLOCKTYPE_IMPULSE 0
#define | BLOCKTYPE_LONG 1
#define | BLOCKTYPE_PADDING 1
#define | BLOCKTYPE_TRANSITION 0
#define | PACKETBLOBS 15

## Typedefs

typedef struct codec_setup_info | codec_setup_info
typedef struct private_state | private_state
typedef struct vorbis_block_internal | vorbis_block_internal
typedef void | vorbis_info_floor
typedef void | vorbis_info_mapping
typedef void | vorbis_info_residue
typedef void | vorbis_look_floor
typedef void | vorbis_look_residue
typedef void | vorbis_look_transform

## Functions

void | _vp_global_free (vorbis_look_psy_global *look)
vorbis_look_psy_global * | _vp_global_look (vorbis_info *vi)
int | floor1_encode (oggpack_buffer *opb, vorbis_block *vb, vorbis_look_floor1 *look, int *post, int *ilogmask)
int * | floor1_fit (vorbis_block *vb, vorbis_look_floor1 *look, const float *logmdct, const float *logmask)
int * | floor1_interpolate_fit (vorbis_block *vb, vorbis_look_floor1 *look, int *A, int *B, int del)

## Macro Definition Documentation

#define BLOCKTYPE_IMPULSE 0

Definition at line 24 of file codec_internal.h.

Referenced by vorbis_analysis_blockout().

#define BLOCKTYPE_LONG 1

Definition at line 27 of file codec_internal.h.

Referenced by vorbis_analysis_blockout().

#define BLOCKTYPE_PADDING 1

Definition at line 25 of file codec_internal.h.

Referenced by vorbis_analysis_blockout().

#define BLOCKTYPE_TRANSITION 0

Definition at line 26 of file codec_internal.h.

Referenced by vorbis_analysis_blockout().

#define PACKETBLOBS 15

Definition at line 29 of file codec_internal.h.

Referenced by mapping0_forward(), vorbis_analysis(), vorbis_bitrate_addblock(), vorbis_bitrate_flushpacket(), vorbis_bitrate_init(), vorbis_block_clear(), vorbis_block_init(), vorbis_encode_global_stereo(), and vorbis_encode_residue_setup().

## Typedef Documentation

typedef struct codec_setup_info codec_setup_info

typedef struct private_state private_state

typedef struct vorbis_block_internal vorbis_block_internal

typedef void vorbis_info_floor

Definition at line 54 of file codec_internal.h.

typedef void vorbis_info_mapping

Definition at line 56 of file codec_internal.h.

typedef void vorbis_info_residue

Definition at line 55 of file codec_internal.h.

typedef void vorbis_look_floor

Definition at line 42 of file codec_internal.h.

typedef void vorbis_look_residue

Definition at line 43 of file codec_internal.h.

typedef void vorbis_look_transform

Definition at line 44 of file codec_internal.h.

## Function Documentation

void _vp_global_free | ( | vorbis_look_psy_global * | look | ) |

Definition at line 48 of file psy.c.

References _ogg_free, and memset.

Referenced by vorbis_dsp_clear().

vorbis_look_psy_global* _vp_global_look | ( | vorbis_info * | vi | ) |

Definition at line 36 of file psy.c.

References _ogg_calloc, vorbis_look_psy_global::ampmax, vorbis_info::channels, vorbis_look_psy_global::channels, vorbis_info::codec_setup, vorbis_look_psy_global::gi, and codec_setup_info::psy_g_param.

Referenced by main(), and vorbis_analysis_init().

int floor1_encode | ( | oggpack_buffer * | opb,
|  | vorbis_block * | vb,
|  | vorbis_look_floor1 * | look,
|  | int * | post,
|  | int * | ilogmask
| ) |  |

Definition at line 768 of file floor1.c.

References codec_setup_info::blocksizes, codec_setup_info::book_param, books, vorbis_info_floor1::class_book, vorbis_info_floor1::class_dim, vorbis_info_floor1::class_subbook, vorbis_info_floor1::class_subs, vorbis_info::codec_setup, static_codebook::entries, entries, vorbis_look_floor1::forward_index, vorbis_look_floor1::frames, codec_setup_info::fullbooks, vorbis_look_floor1::hineighbor, hx, i, ilog(), j, k, vorbis_look_floor1::loneighbor, lx, memset, vorbis_info_floor1::mult, oggpack_write(), vorbis_info_floor1::partitionclass, vorbis_info_floor1::partitions, vorbis_block::pcmend, vorbis_look_floor1::phrasebits, vorbis_look_floor1::postbits, vorbis_info_floor1::postlist, vorbis_look_floor1::posts, vorbis_look_floor1::quant_q, render_line0(), render_point(), vorbis_block::vd, vorbis_dsp_state::vi, vorbis_look_floor1::vi, VIF_POSIT, vorbis_book_encode(), and vorbis_block::W.

Referenced by mapping0_forward().

int* floor1_fit | ( | vorbis_block * | vb,
|  | vorbis_look_floor1 * | look,
|  | const float * | logmdct,
|  | const float * | logmask
| ) |  |

Definition at line 591 of file floor1.c.

References _vorbis_block_alloc(), accumulate_fit(), fit_line(), vorbis_look_floor1::hineighbor, hx, i, inspect_error(), j, vorbis_look_floor1::loneighbor, lx, vorbis_look_floor1::n, NULL, sort_controllers::output, post_Y(), vorbis_info_floor1::postlist, vorbis_look_floor1::posts, render_point(), vorbis_look_floor1::reverse_index, vorbis_look_floor1::sorted_index, vorbis_look_floor1::vi, and VIF_POSIT.

Referenced by mapping0_forward().

int* floor1_interpolate_fit | ( | vorbis_block * | vb,
|  | vorbis_look_floor1 * | look,
|  | int * | A,
|  | int * | B,
|  | int | del
| ) |  |

Definition at line 746 of file floor1.c.

References _vorbis_block_alloc(), i, NULL, sort_controllers::output, and vorbis_look_floor1::posts.

Referenced by mapping0_forward().